Method: projects.locations.firewallEndpointAssociations.list

列出给定项目和位置中的 Association。

HTTP 请求

GET https://networksecurity.googleapis.com/v1beta1/{parent=projects/*/locations/*}/firewallEndpointAssociations

网址采用 gRPC 转码语法。

路径参数

参数
parent

string

必需。ListAssociationsRequest 的父级值

查询参数

参数
pageSize

integer

可选。请求的页面大小。 服务器返回的项可能要比请求的少。如果未指定,服务器将选择合适的默认值。

pageToken

string

标识服务器应返回的结果页面的令牌。

filter

string

可选。过滤结果

orderBy

string

有关如何对结果进行排序的提示

请求正文

请求正文必须为空。

响应正文

对列出 Association 的响应消息

如果成功,响应正文将包含结构如下的数据:

JSON 表示法
{
  "firewallEndpointAssociations": [
    {
      object (FirewallEndpointAssociation)
    }
  ],
  "nextPageToken": string,
  "unreachable": [
    string
  ]
}
字段
firewallEndpointAssociations[]

object (FirewallEndpointAssociation)

Association 的列表

nextPageToken

string

标识服务器应返回的结果页面的令牌。

unreachable[]

string

无法到达的位置。

授权范围

需要以下 OAuth 范围:

  • https://www.googleapis.com/auth/cloud-platform

如需了解详情,请参阅身份验证概览